Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 226037 - Merge Review: libpfm
Summary: Merge Review: libpfm
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-01-31 19:26 UTC by Nobody's working on this, feel free to take it
Modified: 2010-02-26 16:47 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-02-26 16:47:44 UTC


Attachments (Terms of Use)

Description Nobody's working on this, feel free to take it 2007-01-31 19:26:19 UTC
Fedora Merge Review: libpfm

http://cvs.fedora.redhat.com/viewcvs/devel/libpfm/
Initial Owner: wcohen@redhat.com

Comment 1 William Cohen 2007-01-31 20:04:33 UTC
I am willing to take this. I am a bit confused why this was marked as Nobody's
working on this and a in extra. Isn't libpfm marked as core? Why isn't pfmon not
marked in a similar manner?

Comment 2 Dennis Gilmore 2007-01-31 20:39:13 UTC
this is the review for the merge of Core and extras. you can't take it as you 
are the maintainer.  someone else needs to do the review.

Comment 3 William Cohen 2007-05-21 16:04:47 UTC
Someone else needs to go review of this. However, there are some minor
corrections looking through the checks on:

http://fedoraproject.org/wiki/Packaging/ReviewGuidelines:

$ rpmlint libpfm-3.2-0.061205.1.fc8.src.rpm
W: libpfm summary-not-capitalized a performance monitoring library for Linux/ia64
W: libpfm no-url-tag
W: libpfm buildprereq-use ncurses-devel
W: libpfm redundant-prefix-tag
W: libpfm rpm-buildroot-usage %build make       PREFIX=/usr DESTDIR=%{buildroot}
LIBDIR=%{_libdir}
W: libpfm patch-not-applied Patch1: libpfm-compat.patch
W: libpfm patch-not-applied Patch2: libpfm-3.2-showreginfo.patch


Comment 4 Patrice Dumas 2007-11-14 22:32:38 UTC
Is the static lib needed?

libpfm.so should be in -devel.

%{_prefix} should be used instead of PREFIX

The rpm dependency generator doesn't generate rightly the dependencies
certainly because the library file isn't executable. Then the %attr
can be dropped.

The timestamps should be kept.

Using %{PACKAGE_VERSION} is very strange in %files.

The buildroot is not the preferred one.

%doc for mandir is not needed.

Are the following really needed:
ExclusiveOS: linux
AutoReqProv: no

License is not right.

I don't think that libpfm-3.2-rpm_opt.patch is the right way to do.
I think that something like 
make CFLAGS="%{optflags}"
is simpler and less intrusive.

I suggest changing %defattr(-,root,root) to %defattr(-,root,root,-)

Comment 5 William Cohen 2010-02-26 16:47:44 UTC
Fedora 12/13 and RHEL-6 uses perf events there is no reason to keep the libpfm RPM around


Note You need to log in before you can comment on or make changes to this bug.